/*
 * baseClasses.h
 * Handle base classes.
 *
 * Copyright (c) 1996 T. J. Wilkinson & Associates, London, UK.
 *
 * See the file "license.terms" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * Written by Tim Wilkinson <tim@tjwassoc.demon.co.uk>, 1996.
 */

#ifndef __baseclasses_h
#define __baseclasses_h

#include "object.h"

struct Hjava_lang_String;
struct Hjava_lang_Throwable;

#ifdef K091
#include "native.h"
#include "java_lang_String.h"
#include "java_lang_Throwable.h"
#endif /*K091*/

int javaStringLength(struct Hjava_lang_String *jstr);
int32 hashUtf8String (const char* str, int len);

#define	STRINGCLASS	"java/lang/String"
#define	STRINGINIT	"<init>"
#define	STRINGINITSIG	"([C)V"

#define	OBJECTCLASS	"java/lang/Object"
#define	CLASSCLASS	"java/lang/Class"

#define	OBJECTCLASSSIG	"Ljava/lang/Object;"

void initBaseClasses(void);

extern struct Hjava_lang_Class	ClassClass;
extern struct Hjava_lang_Class	ObjectClass;
extern struct Hjava_lang_Class	StringClass;
extern struct Hjava_lang_Class	SystemClass;
extern struct Hjava_lang_Class	SerialClass;

#endif
