/*
 * Object.c
 *
 * Copyright (c) 1997 The University of Utah and
 * the Computer Systems Laboratory (CSL).  All rights reserved.
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 *
 * THE UNIVERSITY OF UTAH AND CSL ALLOW FREE USE OF THIS SOFTWARE IN ITS "AS
 * IS" CONDITION.  THE UNIVERSITY OF UTAH AND CSL DISCLAIM ANY LIABILITY OF
 * ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 *
 *      Author: Patrick Tullmann <tullmann@cs.utah.edu>, University of Utah CSL
 */

#include <sys/types.h> /* for size_t used in native.h */
#include "native.h"
#include "../../../../kaffe/kaffevm/gtypes.h"
#include "../../../../kaffe/kaffevm/locks.h"
#include "../../../../kaffe/kaffevm/classMethod.h"

/* Hackish magic to get prototypes and not typedef from Object.h */
#define DEFINED_TYPEDEF_java_lang_Object 
#include "java.lang.stubs/Object.h"

struct Hjava_lang_Class* 
java_lang_Object_getClass(struct Hjava_lang_Object* this)
{
	return (OBJECT_CLASS(this));
}

void 
java_lang_Object_notify(struct Hjava_lang_Object* this)
{
	signalCond(this);
}

void 
java_lang_Object_notifyAll(struct Hjava_lang_Object* this)
{
	broadcastCond(this);
}

void 
java_lang_Object_wait(struct Hjava_lang_Object* this, jlong millis, jint nanos)
{
	/* XXX nanos? */
	waitCond(this, millis);
}

jint 
java_lang_Object_hashCode(struct Hjava_lang_Object* this)
{
	return ((jint)this);
}

struct Hjava_lang_Object*
java_lang_Object_clone(struct Hjava_lang_Object* this)
{
	unimp("Kore function not implemented");
	return 0;
}



