/*
 * NativeDebug.c
 *
 * Copyright (c) 1997 The University of Utah and
 * the Computer Systems Laboratory (CSL).  All rights reserved.
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 *
 * THE UNIVERSITY OF UTAH AND CSL ALLOW FREE USE OF THIS SOFTWARE IN ITS "AS
 * IS" CONDITION.  THE UNIVERSITY OF UTAH AND CSL DISCLAIM ANY LIABILITY OF
 * ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 *
 *      Author: Patrick Tullmann <tullmann@cs.utah.edu>, University of Utah CSL
 */

#include "files.h"
#include "defs.h"
#include "config.h"
#include "config-io.h"
#include "config-mem.h"
#include <native.h>
/* #include "java.lang.stubs/String.h" XXX Can't include, String defined elsewhere. */
#include "java.util.stubs/NativeDebug.h"
#include "../../../../kaffe/kaffevm/object.h"
#include "../../../../kaffe/kaffevm/stackTrace.h"

void java_util_NativeDebug_printStr0(struct Hjava_lang_String* str)
{
	char buf[250];
	javaString2CString(str, buf, sizeof(buf));
	/* printf("%s", (char *)((str->data[0]).data->data[0].body[0])); */
	/* printf("(str=%p) %s", str, buf); */
	printf("%s", buf);
}


void java_util_NativeDebug_printStrln0(struct Hjava_lang_String* str)
{
	char buf[250];
	javaString2CString(str, buf, sizeof(buf));
	/* printf("%s", (char *)((str->data[0]).data->data[0].body[0])); */
	/* printf("(str=%p) %s", str, buf); */
	printf("%s\n", buf);
}


#if 0
void java_util_NativeDebug_print(struct Hjava_lang_Object* o)
{
	char buf[250];
	javaString2CString(o->dtable->class->name, buf, sizeof(buf));
	/* printf("%s", (char *)((str->data[0]).data->data[0].body[0])); */
	printf("%s", buf);
}
#endif

void java_util_NativeDebug_printInt0(jint theint)
{
	printf("%d\n", theint);
}


void java_util_NativeDebug_here0()
{
	Hjava_lang_Object *trace;
	/* int i; */

	trace = buildStackTrace(0);

	assert((ARRAY_SIZE(trace) > 1)
		&& (ARRAY_SIZE(trace) < 10000));

#if 1
	printf ("Here!\n");
#else
	printf ("Here: ");
	puts((char*)ARRAY_DATA(ARRAY_DATA(trace)[1]));

	for (i = 0; i < ARRAY_SIZE(trace); i++)
		printf("%d: %s\n",
		       i, (char*)ARRAY_DATA(ARRAY_DATA(trace)[i]));
#endif
}

void java_util_NativeDebug_printTrace0()
{
	Hjava_lang_Object *trace;
	int i;

	trace = buildStackTrace(NULL);

	puts("java.util.NativeDebug.printTrace()");
	for (i = 0; i < ARRAY_SIZE(trace); i++)
		puts((char*)OBJARRAY_DATA(OBJARRAY_DATA(trace)[i]));
}


  
