/*
 * external_wrappers.h
 *
 * Copyright (c) 1997 The University of Utah and
 * the Computer Systems Laboratory (CSL).  All rights reserved.
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 *
 * THE UNIVERSITY OF UTAH AND CSL ALLOW FREE USE OF THIS SOFTWARE IN ITS "AS
 * IS" CONDITION.  THE UNIVERSITY OF UTAH AND CSL DISCLAIM ANY LIABILITY OF
 * ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 *
 *      Author: Patrick Tullmann <tullmann@cs.utah.edu>, University of Utah CSL
 */
/*
 * Library wrapper for sensei.co.uk package.
 *
 * Regenerate with:
 * perl -n -e 'print "KAFFE_NATIVE($1)\n" if /^Kaffe_(.*)_stub/;' lib/<star>/<star>.c
 * in the Kore subdirectory.
 */

KAFFE_NATIVE(java_io_NativeIO_available)
KAFFE_NATIVE(java_io_NativeIO_read)
KAFFE_NATIVE(java_io_NativeIO_write)
KAFFE_NATIVE(java_io_NativeIO_skip)
KAFFE_NATIVE(java_io_NativeIO_close)
KAFFE_NATIVE(java_io_NativeIO_open_read)
KAFFE_NATIVE(java_io_NativeIO_open_write)
KAFFE_NATIVE(java_io_NativeIO_open_read_write)
KAFFE_NATIVE(java_io_NativeIO_ftell)
KAFFE_NATIVE(java_io_NativeIO_fseek)
KAFFE_NATIVE(java_io_NativeIO_canRead)
KAFFE_NATIVE(java_io_NativeIO_canWrite)
KAFFE_NATIVE(java_io_NativeIO_exists)
KAFFE_NATIVE(java_io_NativeIO_isDirectory)
KAFFE_NATIVE(java_io_NativeIO_isFile)
KAFFE_NATIVE(java_io_NativeIO_lastModified)
KAFFE_NATIVE(java_io_NativeIO_fileSize)
KAFFE_NATIVE(java_io_NativeIO_delete)
KAFFE_NATIVE(java_io_NativeIO_rename)
KAFFE_NATIVE(java_io_NativeIO_mkdir)
KAFFE_NATIVE(java_io_NativeIO_dirList)
KAFFE_NATIVE(java_lang_Class_forName)
KAFFE_NATIVE(java_lang_Class_getName)
KAFFE_NATIVE(java_lang_Class_isInterface)
KAFFE_NATIVE(java_lang_Class_getSuperclass)
KAFFE_NATIVE(java_lang_Class_getInterfaces)
KAFFE_NATIVE(java_lang_Class_getClassLoader)
KAFFE_NATIVE(java_lang_Class_newInstance)
KAFFE_NATIVE(java_lang_NativeLang_currentTimeMillis)
KAFFE_NATIVE(java_lang_NativeLang_exit)
KAFFE_NATIVE(java_lang_NativeLang_exec)
KAFFE_NATIVE(java_lang_NativeLang_load)
KAFFE_NATIVE(java_lang_NativeLang_loadLibrary)
KAFFE_NATIVE(java_lang_NativeLang_gc)
KAFFE_NATIVE(java_lang_NativeLang_defaultPropertiesFile)
KAFFE_NATIVE(java_lang_NativeLang_getVMProperties)
KAFFE_NATIVE(java_lang_NativeLang_getCommandLineProperties)
KAFFE_NATIVE(java_lang_NativeLang_getStackTrace0)
KAFFE_NATIVE(java_lang_NativeLang_getClassContext)
KAFFE_NATIVE(java_lang_NativeLang_defineClass)
KAFFE_NATIVE(java_lang_NativeLang_resolveClass)
KAFFE_NATIVE(java_lang_NativeLang_findSystemClass)
KAFFE_NATIVE(java_lang_NativeLang_currentThread)
KAFFE_NATIVE(java_lang_NativeLang_sleep)
KAFFE_NATIVE(java_lang_NativeLang_setThreadState)
KAFFE_NATIVE(java_lang_NativeLang_setThreadPriority)
KAFFE_NATIVE(java_lang_NativeLang_yield)
KAFFE_NATIVE(java_lang_NativeLang_stopThread)
KAFFE_NATIVE(java_lang_NativeLang_countStackFrames)
KAFFE_NATIVE(java_lang_Object_getClass)
KAFFE_NATIVE(java_lang_Object_notify)
KAFFE_NATIVE(java_lang_Object_notifyAll)
KAFFE_NATIVE(java_lang_Object_wait)
KAFFE_NATIVE(java_lang_Object_hashCode)
KAFFE_NATIVE(java_lang_Object_clone)
KAFFE_NATIVE(java_net_NativeNet_getHostName)
KAFFE_NATIVE(java_net_NativeNet_getLocalHost)
KAFFE_NATIVE(java_net_NativeNet_getAllByName)
KAFFE_NATIVE(java_net_NativeNet_socket)
KAFFE_NATIVE(java_net_NativeNet_bind)
KAFFE_NATIVE(java_net_NativeNet_listen)
KAFFE_NATIVE(java_net_NativeNet_accept)
KAFFE_NATIVE(java_net_NativeNet_connect)
KAFFE_NATIVE(java_net_NativeNet_dgsocket)
KAFFE_NATIVE(java_net_NativeNet_recv)
KAFFE_NATIVE(java_net_NativeNet_send)
KAFFE_NATIVE(java_net_NativeNet_close)
KAFFE_NATIVE(java_net_NativeNet_available)
KAFFE_NATIVE(java_util_NativeDebug_printStr0)
KAFFE_NATIVE(java_util_NativeDebug_printStrln0)
KAFFE_NATIVE(java_util_NativeDebug_printInt0)
KAFFE_NATIVE(java_util_NativeDebug_here0)
KAFFE_NATIVE(java_util_NativeDebug_printTrace0)
KAFFE_NATIVE(java_util_NativeUtil_update_timezone)
